EVC Uyumluluğu kontrolü

Yıllardır sürekli sorulan sorulardan biri hakkında daha bir şeyler yazmak istedim. Enhanced vMotion Compatibility özelliği pek çok vSphere yöneticisinin bildiği gibi aynı cluster içinde farklı CPU ailelerini bulunduran sunucular arasında vMotion işleminin desteklenmesini sağlamaktadır. EVC olmasaydı yeni sunucudan eskiye yada tam tersine doğru vMotion işlemini gerçekleştirmek mümkün olmazdı. (tabi CPUID Mask seçeneğini saymazsak) Tabi ki EVC’nin çalışması için aynı marka CPU’lar olmalıdır, AMD’den Intel’e ya da tersi şekilde vMotion desteklenmemektedir.

Peki elinizde 2 adet sunucu var ve farklı nesil işlemci kullanıyorlar. Bunların birinden diğerine EVC ile vMotion destekleniyor mu nasıl anlayabiliriz? Aslında çok zor değil.

Öncelikle elinizdeki CPU’ların hangi aileden olduğunu bilmeniz gerekiyor. Örneğin elimizde bir adet Intel E5540 CPU’lu sunucu ve bir de yeni nesil Intel E5-2650 CPU’lu sunucu olduğunu varsayalım. Bunların hangi CPU ailesinden olduklarını aşağıdaki linkten öğrenebilirsiniz.

http://en.wikipedia.org/wiki/List_of_Intel_Xeon_microprocessors

Bu sayfadan yapacağımız kısa bir arama sonucunda E5540’ın Nehalem ailesinden, E5-2650’nin ise Sandy-Bridge ailesinden olduğunu bulabiliriz.

Şimdi ise VMware compatibility guide’a gidiyoruz.

http://www.vmware.com/resources/compatibility/search.php

Açılan sayfanın sol tarafından sahip olduğumuz sunucuların modelini seçiyoruz. Sağ taraftan ise “Enhanced vMotion Capability Modes:” altından yukarıda bulduğumuz CPU ailelerinden eski olanı seçiyoruz. Aşağıdan “Update and View Results” butonuna basarak aşağıdaki listede sunucularımızın göründüğünden emin oluyoruz. Bu sayede her iki CPU’nun da aynı uyumluluk seviyesinde çalışıp çalışmadığını görebiliriz.

Ayrıca hangi vCenter sürümünün hangi CPU ailelerini desteklediğini aşağıdaki tablodan görebilirsiniz.

EVC Cluster Baseline

vCenter Server Release Intel® “Merom” Generation Intel® “Penryn” Generation Intel® “Nehalem” Generation Intel® “Westmere” Generation Intel® “Sandy Bridge” Generation Intel® “Ivy Bridge” Generation
VirtualCenter 2.5 U2 and later updates

Yes

No

No

No

No

No

vCenter Server 4.0

Yes

Yes

Yes

No

No

No

vCenter Server 4.0 U1 and later updates

Yes

Yes

Yes

Yes

No

No

vCenter Server 4.1

Yes

Yes

Yes

Yes

No

No

vCenter Server 5.0

Yes

Yes

Yes

Yes

Yes

No

vCenter Server 5.1

Yes

Yes

Yes

Yes

Yes

Yes

 

Daha fazla detay için : http://kb.vmware.com/kb/1003212

Ayrıca EVC konusunda daha fazla bilgi edinmek isterseniz : http://kb.vmware.com/kb/1005764

Bir cevap yazın

Time limit is exhausted. Please reload CAPTCHA.

This site uses Akismet to reduce spam. Learn how your comment data is processed.